Bug 35375 - d-i should not ask for first user (and root credentials?)
d-i should not ask for first user (and root credentials?)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Alexander Kramer
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 17:50 CEST by Sönke Schwardt-Krummrich
Modified: 2014-11-26 06:54 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-07-15 17:50:19 CEST
The d-i should not ask for information for the first user account. And if possible it should not ask for the root password (should be done in Univention System Setup).
Comment 1 Moritz Muehlenhoff univentionstaff 2014-07-16 07:47:23 CEST
(In reply to Sönke Schwardt-Krummrich from comment #0)
> The d-i should not ask for information for the first user account.

It should be sufficient to exclude the user-setup package.
Comment 2 Philipp Hahn univentionstaff 2014-07-17 09:57:54 CEST
May be done through pre-seeding:
	d-i passwd/make-user boolean false
Comment 3 Philipp Hahn univentionstaff 2014-07-17 15:42:25 CEST
This has been done through preseeding through build-cd-ucs4: r51925
Removing the udebs does not yet seem to work: r51926

Package: repo-ng
Version: 2.0-50.1299.201407171538
User: phahn
Branch: ucs_3.2-0
Scope: internal
Comment 4 Philipp Hahn univentionstaff 2014-07-18 16:04:29 CEST
r51966: The following udeb have been removed:
+apt-mirror-setup
+apt-setup-udeb
+choose-mirror
+choose-mirror-bin
+#
+debian-archive-keyring-udeb
+debian-edu-archive-keyring-udeb
+debian-ports-archive-keyring-udeb
+emdebian-archive-keyring-udeb
+#
+pkgsel
+#
+user-setup-udeb
+#
+lilo-installer
Comment 5 Philipp Hahn univentionstaff 2014-07-21 16:24:25 CEST
r52013: user-setup-udeb has been re-enabled to allow setting up the root password.
Normal user creation is still diables through pre-seeding.
Comment 6 Alexander Kramer univentionstaff 2014-08-26 13:53:21 CEST
I don't know if this matters but it is still possible to create a first user account during the d-i by leaving the root password empty. From the d-i:

"The root user should not have an empty password. If you leave this empty, the root account will be disabled and the system's initial user account will be given the power to become root using the sudo command."
Comment 7 Stefan Gohmann univentionstaff 2014-08-26 13:55:21 CEST
The password must match the default password policy because it is used as password for Administrator.
Comment 8 Philipp Hahn univentionstaff 2014-08-26 23:02:22 CEST
r13485 | Bug #35375 d-i: Minimum root password
 Require 8 character minimum
 No longer falls back to creating a regular user with sudo permission.

Package: user-setup
Version: 1.48.8.201408262116
Branch: ucs_4.0-0
Comment 9 Alexander Kramer univentionstaff 2014-08-27 08:32:00 CEST
Tested with:
26. Aug 22:55 ucs_4.0-0-20140826-224541-dvd-amd64.iso

Now it isn't possible to leave the root password empty, so no fallback to first user creation.
Comment 10 Stefan Gohmann univentionstaff 2014-11-26 06:54:35 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".